#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# pytest tests

Summary:	Python tools to manipulate font files
Summary(pl.UTF-8):	Narzędzia do manipulacji na plikach fontów dla Pythona
Name:		python3-fonttools
Version:	4.56.0
Release:	1
# basic license is BSD
# FontTools includes Adobe AGL & AGLFN, which is under 3-clauses BSD license
License:	MIT, BSD
Group:		Development/Tools
#Source0Download: https://github.com/fonttools/fonttools/releases
Source0:	https://github.com/fonttools/fonttools/archive/%{version}/fonttools-%{version}.tar.gz
# Source0-md5:	5226de2f08e946a3b65e83db23c093da
URL:		https://github.com/fonttools/fonttools
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python3-devel >= 1:3.4
%if %{with tests}
BuildRequires:	python3-brotli
BuildRequires:	python3-pytest >= 3.0
%endif
BuildRequires:	rpmbuild(macros) >= 1.750
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python tools to manipulate font files.

%description -l pl.UTF-8
Narzędzia do manipulacji na plikach fontów dla Pythona.

%package apidocs
Summary:	Documentation for Python fonttools module
Summary(pl.UTF-8):	Dokumentacja modułu Pythona fonttools
Group:		Documentation

%description apidocs
Documentation for Python fonttools module.

%description apidocs -l pl.UTF-8
Dokumentacja modułu Pythona fonttools.

%prep
%setup -q -n fonttools-%{version}

%build
export LC_ALL=C.UTF-8

%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=Lib \
%{__python3} -m pytest Tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/build-3/lib \
%{__make} -C Doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# packaged from fonttools.spec
%{__rm} -r $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitedir}/fontTools
%{py3_sitedir}/fonttools-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc Doc/build/html/{_static,designspaceLib,misc,pens,ttLib,varLib,*.html,*.js}
%endif
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-fonttools.git;a=log;h=master

* Mon Mar 17 2025 Jan Rękorajski <baggins@pld-linux.org> 044ee8e
- it's arch dependent package

* Mon Mar 17 2025 Jan Rękorajski <baggins@pld-linux.org> 806ca96
- up to 4.56.0

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> e4143ba
- rel 8

* Sun Mar 16 2025 Jan Rękorajski <baggins@pld-linux.org> 4a49896
- use patch -P

* Mon Jan 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 0c2ff71
- don't require python3-unicodedata2 on python 3.10+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 90625f6
- rebuild with tests and docs

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 8980ce5
- added singledispatch patch (fix plistlib with singledispatch 3.7); release 6

* Sat Dec 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 7c46275
- just python modules here, no tools

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 99e3801
- Revert "- noarch apidocs"; (thinko: whole package is noarch)

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 94ddda5
- noarch apidocs

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 359241c
- release 5

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 805b814
- updated unicodedata2 dependency

* Fri Dec 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 7a669b0
- last version of python2 compatible fonttools saved as python-fonttools.spec

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> b550ec7
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> e97a1c5
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 76e3f7e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Oct 07 2019 Jakub Bogusz <qboosh@pld-linux.org> af4425a
- updated to 3.44.0

* Sat Dec 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 6c07898
- updated to 3.34.2
- removed optional packages from Requires

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ec2a26
- release 2 (by relup.sh)

* Sat Mar 10 2018 Jakub Bogusz <qboosh@pld-linux.org> e4814eb
- new URLs, updated to 3.24.1

